org.apache.felix.ipojo.manipulator.metadata.annotation.model.parser.replay

## Class AnnotationVisitorPlayback

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.model.parser.replay.AnnotationRecorder
    - - org.apache.felix.ipojo.manipulator.metadata.annotation.model.parser.replay.AnnotationVisitorPlayback

All Implemented Interfaces:
  Replay, Playback

    public class AnnotationVisitorPlayback
    extends AnnotationRecorder
    implements Playback

User: guillaume Date: 08/07/13 Time: 16:07

### Field Summary

### Fields inherited from class org.objectweb.asm.AnnotationVisitor

`api, av`

### Constructor Summary

Constructors
Constructor and Description
`AnnotationVisitorPlayback(String desc, boolean visible)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept(AnnotationDiscovery visitor)`
`void` `accept(org.objectweb.asm.ClassVisitor visitor)`
`void` `accept(org.objectweb.asm.FieldVisitor visitor)`
`void` `accept(org.objectweb.asm.MethodVisitor visitor)`
`void` `accept(org.objectweb.asm.MethodVisitor visitor, int index)`

### Methods inherited from class org.apache.felix.ipojo.manipulator.metadata.annotation.model.parser.replay.AnnotationRecorder

`accept, visit, visitAnnotation, visitArray, visitEnd, visitEnum`

### Methods inherited from class org.objectweb.asm.AnnotationVisitor

`getDelegate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotationVisitorPlayback

    public AnnotationVisitorPlayback(String desc,
                                     boolean visible)

### Method Detail

#### accept

    public void accept(org.objectweb.asm.FieldVisitor visitor)

Specified by:
  `accept` in interface `Playback`

#### accept

    public void accept(org.objectweb.asm.ClassVisitor visitor)

Specified by:
  `accept` in interface `Playback`

#### accept

    public void accept(org.objectweb.asm.MethodVisitor visitor)

Specified by:
  `accept` in interface `Playback`

#### accept

    public void accept(org.objectweb.asm.MethodVisitor visitor,
                       int index)

Specified by:
  `accept` in interface `Playback`

#### accept

    public void accept(AnnotationDiscovery visitor)

Specified by:
  `accept` in interface `Playback`